<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="box no-border">
    <alignment-step-box-header step="$ctrl.step"></alignment-step-box-header>
    <form name="$ctrl.form" ng-show="!$ctrl.isFunctional()">
        <div class="box-body">
            <div class="form-group required">
                <label>Cardinalité attendue</label>
                <div>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" ng-change="$ctrl.confirmContextChange('type')" value="single" required>Propriété unique</label>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" ng-change="$ctrl.confirmContextChange('type')" value="extract" required>Propriété multiple</label>
                </div>
            </div>

            <!-- CARDINALITY MULTIPLE -->
            <div ng-if="$ctrl.data.type == 'extract'">
                <div class="form-group required">
                    <label>Contexte d'extraction</label><br>
                    <xpath-input ng-model="$ctrl.data.extract" ng-change="$ctrl.confirmContextChange('extract')" schema="$ctrl.navigator.xpathSchema" context="$ctrl.xpathContext" selector="element"></xpath-input>
                </div>
            </div>
        </div>
    </form>

    <div class="box-body p-t-5 p-b-5 p-l-15" ng-show="$ctrl.isFunctional()">
        <span class="text-sm text-muted">Cette propriété est fonctionnelle : elle ne peut être présente plusieurs fois.</span>
    </div>
</div>

<div ng-if="$ctrl.isFunctional()
    || $ctrl.data.type == 'single'
    || $ctrl.data.extract.expr">
    <alignment-step step="$ctrl.step"></alignment-step>
</div>

<div class="box no-border" ng-if="$ctrl.navigator.debug">
    <!-- /.box-header -->
    <div class="box-header with-border">
        <h3 class="box-title">Data</h3>
    </div>
    <div class="box-body">
        <pre>{{ $ctrl.data|json }}</pre>
    </div>
</div>
